<?php
$t = 'Восстановление доступа';
require_once '../../wcore/core.php';
require_once '../../wcore/head.php';
if (isset($ank)){go('/');}
if(isset($_POST['wcore'])){
    $login = antixs($_POST['login']);
    $email = antixs($_POST['email']);
    if($_POST['capcha'] != $_SESSION['capcha'])  {echo msg_err('err',$lang['ice']);require_once '../../wcore/foot.php';exit();}
    if (empty($login) || empty($email)){
        echo msg_err('err',$lang['emptyinput']);
        require_once '../../wcore/foot.php';
        exit();
    }
    $_tmp_login = mysqli_query($mysqli,"SELECT * FROM `users` WHERE `login` = '$login' AND `email` = '$email' LIMIT 1");
    if (mysqli_num_rows($_tmp_login) == 0) {
        echo msg_err('err',$lang['us_recovery_t4']);
        require_once '../../wcore/foot.php';
        exit();
    }
    $gen_pwd = generate_password(8);
    mysqli_query($mysqli,"UPDATE `users` SET `ps`='".security($gen_pwd)."' WHERE `login` = '$login' AND `email` = '$email'");
    $mailsend->SendEmail($email, 'Сброс пароля на хостинге', 'Здравствуйте, '.$login.'!<br>Вы запросили сброс пароля на '.domain.'<br>Ваш логин: '.$login.'<br>Ваш новый пароль: '.$gen_pwd.'<br>Это автоматическое сообщение и на него отвечать не требуется.');
    echo msg_err('suc',$lang['us_recovery_t5']);
    require_once '../../wcore/foot.php';
    exit();
} else {
    $log_data = array('log_in'=>0);
}

echo $twig->render('pages_recovery.tpl', array('lang' =>$lang,'form'=>$log_data));



require_once '../../wcore/foot.php';